package com.ruoyi.web.controller.exam;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.system.domain.userbook.dto.UserBookDTO;
import com.ruoyi.web.controller.manager.UserBookManager;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * packageName com.ruoyi.web.controller.exam
 *
 * @author wangxy
 * @version JDK 8
 * @className UserBookController
 * @date 2024/7/9
 * @description 错题
 */
@Api("错题")
@Controller
@RequestMapping("/system/userBook")
public class UserBookController extends BaseController {


    private String prefix = "system/elExam/userBook";

    @Resource
    private UserBookManager userBookManager;

    @ApiOperation("错题列表")
    @GetMapping("/toBook/{id}")
    public String toBook(@PathVariable("id") String id, ModelMap mmap) {
        mmap.put("examId", id);
        return prefix + "/book";
    }


    @ApiOperation("错题")
    @PostMapping("/list")
    @ResponseBody
    public TableDataInfo list(UserBookDTO reqDTO) {
        startPage();
        List<UserBookDTO> list = userBookManager.paging(reqDTO);
        return getDataTable(list);
    }



}
